Create a VM
curl --request POST \
--url https://shardcloud.app/api/vms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"password": "<string>",
"description": "<string>",
"template": "<string>",
"distro": "<string>",
"ram": 123
}
'import requests
url = "https://shardcloud.app/api/vms"
payload = {
"name": "<string>",
"password": "<string>",
"description": "<string>",
"template": "<string>",
"distro": "<string>",
"ram": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
password: '<string>',
description: '<string>',
template: '<string>',
distro: '<string>',
ram: 123
})
};
fetch('https://shardcloud.app/api/vms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"addon": {},
"invoice": {},
"invoice_payment_info": {}
}{
"error": "<string>"
}VMs
Create a VM
Either template or (distro + ram) must be provided — a template supplies its own ram and distro.
POST
/
vms
Create a VM
Authorizations
Send your API token (Dashboard → Settings → API Token) as Authorization: Bearer <token>.
Body
application/json
A VPS template's id, from the dashboard's template list. When set, ram and distro come from the template and don't need to be provided.
A distro value from GET /vms/distros. Required when template is not set.
RAM in MB. Required (min 4096) when template is not set.
⌘I